#!/usr/bin/env python

import os, socket, sys

target = ''
args = sys.argv[1:]

if len(args) >= 2 and args[0] == '-T':
	target = args[1]
	args = args[2:]

clist = (target+':').split(':')

host = 'localhost'
port = 12001

if clist[0]:
	host = clist[0]
if clist[1]:
	port = eval(clist[1])

s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
s.connect((host, port))

if args:
	s.send(' '.join(args))
else:
	while 1:
		line = sys.stdin.readline()
		if not line:
			break
		s.send(line)
